2025.40 Public API / SDK Changes

1 min read

Public API

New Features

tech Save Model Usage - Model usage via the public API/SDK can now be tracked. To start tracking the model usage the feature flag FEATURE_FLAG_SAVE_MODEL_USAGE_UN_12832must be enabled.

New Endpoints

tech PATCH Modify Metadata - Public API allows now to modify the metadata of a file. The modification should be done using the Update API.

Example

curl --location --request PATCH 'https://api.uat1.unique.app/public/chat/folder/scope_qbkb7pjbo9utjowjyv3qej2z' \
--header 'x-user-id: <user-id>' \
--header 'x-company-id: <company-id>' \
--header 'Authorization: Bearer <api-key>' \
--header 'x-app-id: <app-id>' \
--header 'x-api-version: 2023-12-06' \
--header 'Content-Type: application/json' \
--data '{
    "metadata": {
      "quarter": "q1"
    }
}'

SDK

tech Modify Metadata - The SDK now supports updating the metadata of the file. Default metadata can not be overridden. (Available with release >.40)

Example

unique_sdk.Content.update(
    user_id=user_id,
    company_id=company_id,
    contentId="cont_ok2343q5owbce80w78hudawu5",
    metadata={
        "quarter": "q1",
    }
)

 

Author

Last updated